<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type='text/xsl' href='rfc2629.xslt' ?>
<?rfc toc="yes"?>
<?rfc symrefs="yes"?>
<?rfc comments="yes"?>
<?rfc inline="no"?>
<?rfc-ext include-references-in-index="yes" ?>
<?rfc-ext parse-xml-in-artwork="yes" ?>
<?rfc-ext allow-markup-in-artwork="yes" ?>
<?rfc-ext html-pretty-print="prettyprint https://cdn.rawgit.com/google/code-prettify/master/loader/run_prettify.js"?>
<?rfc-ext vspace-pagebreak="999" ?>
<?rfc multiple-initials="yes"?>
<?rfc private="XML2RFC Test Cases"?>
<!DOCTYPE rfc SYSTEM "rfc2629.dtd" [
  <!ENTITY nbsp "&#160;">
  <!ENTITY thinsp "&#8202;">
  <!ENTITY nbhy "&#8209;">
  <!ENTITY ndash "&#8211;">
  <!ENTITY mdash "&#8212;">
]>
<rfc xmlns:x="http://purl.org/net/xml2rfc/ext">
	<front>
  	<title>Test cases for XML2RFC formatting</title>

  	<author initials="J. F." surname="Reschke" fullname="Julian F. Reschke">
  		<organization abbrev="greenbytes">greenbytes GmbH</organization>
        <address>
        	<postal>
          	<street>Hafenweg 16</street>
            <code>48155</code><city>Muenster</city>
           	<country>Germany</country>
         	</postal>
    		  <phone>+49 251 2807760</phone>	
    		  <email>julian.reschke@greenbytes.de</email>	
    		  <email>julian.reschke@gmx.de</email>	
    		  <uri>http://greenbytes.de/tech/webdav/</uri>	
  		  </address>


  	</author>

    <date/>
    <keyword>RFC2629</keyword>
    <keyword>test case</keyword>
    <keyword>xml2rfc</keyword>
	</front>

	<middle>

<section title="Lists" anchor="lists">

<section title="hanging list">
<section title="default">
<t>default
<list style="hanging">
  <t hangText="A:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="AB:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABC:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCD:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCDE:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCDEF:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
</list></t>
<?rfc compact="yes"?>
<t>compact="yes"
<list style="hanging">
  <t hangText="A:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="AB:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABC:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCD:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCDE:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCDEF:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
</list></t>
<?rfc compact="yes" subcompact="yes"?>
<t>compact="yes" subcompact="yes"
<list style="hanging">
  <t hangText="A:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="AB:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABC:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCD:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCDE:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCDEF:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
</list></t>
<?rfc compact="yes" subcompact="no"?>
<t>compact="yes" subcompact="no"
<list style="hanging">
  <t hangText="A:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="AB:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABC:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCD:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCDE:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCDEF:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
</list></t>
<?rfc compact="no" subcompact="yes"?>
<t>compact="no" subcompact="yes"
<list style="hanging">
  <t hangText="A:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="AB:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABC:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCD:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCDE:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCDEF:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
</list></t>
<?rfc compact="no" subcompact="no"?>
<t>compact="no" subcompact="no"
<list style="hanging">
  <t hangText="A:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="AB:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABC:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCD:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCDE:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
  <t hangText="ABCDEF:">The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog. The quick brown fox jumps over the lazy dog.</t>
</list></t>
<?rfc compact="no" subcompact="no"?>
<t>compact="no" subcompact="yes", empty entries
<list style="hanging">
  <t hangText="A:"/>
  <t hangText="AB:"/>
  <t hangText="ABC:"/>
  <t hangText="ABCD:"/>
  <t hangText="ABCDE:"/>
</list>
</t>
</section>

<section title="hanging list with hangIndent 7">
<t><list style="hanging" hangIndent="7">
  <t hangText="0">0</t>
  <t hangText="01">01</t>
  <t hangText="012">012</t>
  <t hangText="0123">0123</t>
  <t hangText="01234">01234</t>
  <t hangText="012345">012345</t>
  <t hangText="0123456">0123456</t>
  <t hangText="01234567">01234567</t>
  <t hangText="012345678">012345678</t>
  <t hangText="0123456789">0123456789</t>
</list></t></section>

<section title="hanging list with hangIndent 0">
<t><list style="hanging" hangIndent="0">
  <t hangText="0">0</t>
  <t hangText="01">01</t>
  <t hangText="012">012</t>
  <t hangText="0123">0123</t>
  <t hangText="01234">01234</t>
  <t hangText="012345">012345</t>
  <t hangText="0123456">0123456</t>
  <t hangText="01234567">01234567</t>
  <t hangText="012345678">012345678</t>
  <t hangText="0123456789">0123456789</t>
</list></t></section>
</section>

<section title="numbered list" anchor="ordered.list.numbers">
<t>
A numbered list:
<list style="numbers">
  <t>one</t>
  <t>two</t>
  <t anchor="ordered.list.numbers.last">three</t>
</list>
</t>
</section>

<section title="ordered list (letters)" anchor="ordered.list.letters">
<t>
An ordered list using letters:
<list style="letters">
  <t>one</t>
  <t>two</t>
  <t>three</t>
  <t>one</t>
  <t>two</t>
  <t>three</t>
  <t>one</t>
  <t>two</t>
  <t>three</t>
  <t>one</t>
  <t>two</t>
  <t>three</t>
  <t>one</t>
  <t>two</t>
  <t>three</t>
  <t>one</t>
  <t>two</t>
  <t>three</t>
  <t>one</t>
  <t>two</t>
  <t>three</t>
  <t>one</t>
  <t>two</t>
  <t>three</t>
  <t>one</t>
  <t>two</t>
  <t>three</t>
  <t>one</t>
  <t>two</t>
  <t anchor="ordered.list.letters.last">three</t>
</list>
</t>
</section>

<section title="no explicit counters">
<t>
  Example for numbered list with user-defined-format:
  <list style="format R%d:">
    <t>R1</t>
    <t>R2</t>
  </list>
</t>
<t>
  Another list:
  <list style="format S%d:">
    <t>S1</t>
    <t>S2</t>
  </list>
</t>
<t>
  Same with character-based numbering:
  <list style="format c-%c:">
    <t>c-a</t>
    <t>c-b</t>
  </list>
</t>
</section>

<section title="with explicit counters">
<t>
  A few requirements:
  <list style="format R%d:" counter="requirements">
    <t>req R1</t>
    <t>req R2</t>
  </list>
</t>
<t>
  More requirements:
  <list style="format R%d:" counter="requirements">
    <t>req R3</t>
    <t>req R4</t>
  </list>
</t>
<t>
  A few rules:
  <list style="format R%d:" counter="rules">
    <t>rule R1</t>
    <t>rule R2</t>
    <t>rule R3</t>
  </list> 
</t>
</section>

<section title="Nested lists">
<section title="numbers/letters">
  <t>
    <list style="numbers">
      <t>One</t>
      <t>Two
        <list style="letters">
          <t>17</t>
          <t>42</t>
        </list>
      </t>
      <t>Three</t>
    </list>
  </t>
</section>
<section title="numbers/numbers">
  <t>
    <list style="numbers">
      <t>One</t>
      <t>Two
        <list style="numbers">
          <t>17</t>
          <t>42</t>
        </list>
      </t>
      <t>Three</t>
      <t>
        <list style="numbers">
          <t>17</t>
          <t>42</t>
        </list>
      </t>
    </list>
  </t>
</section>
<section title="letters/letters">
  <t>
    <list style="letters">
      <t>One</t>
      <t>Two
        <list style="letters">
          <t>17</t>
          <t>42</t>
        </list>
      </t>
      <t>Three</t>
    </list>
  </t>
</section>
<section title="letters/letters/letters">
  <t>
    <list style="letters">
      <t>One</t>
      <t>Two
        <list style="letters">
          <t>17</t>
          <t>42
            <list style="letters">
              <t>X</t>
              <t>Y</t>
            </list>
          </t>
        </list>
      </t>
      <t>Three</t>
    </list>
  </t>
</section>
<section title="symbols/symbols/symbols">
  <t>
    <list style="symbols">
      <t>One</t>
      <t>Two
        <list style="symbols">
          <t>17</t>
          <t>42
            <list style="symbols">
              <t>X</t>
              <t>Y</t>
            </list>
          </t>
        </list>
      </t>
      <t>Three</t>
    </list>
  </t>
</section>
<section title="hanging/hanging">
  <t>
    <list style="hanging">
      <t hangText="ABC">One
        <list style="hanging">
          <t hangText="GHI">One</t>
          <t hangText="JKL">Two</t>
        </list>
      </t>
      <t hangText="DEF">
        <list style="hanging">
          <t hangText="MNO">Three</t>
          <t hangText="PQR">Four</t>
        </list>
      </t>
    </list>
  </t>
</section>
</section>

<section title="list without style">
<t>No style attribute:<list>
  <t>One</t>
  <t>Two</t>
  <t>Three</t>
</list></t>
</section>

<section title="list with multiple paragraphs in a single list item">
<t><list style="numbers">
  <x:lt><t>Simple list item.</t></x:lt>
  <x:lt>
    <t>This one has two paragraphs. This is the first one.</t>
    <t>This one has two paragraphs. This is the second one.</t>
  </x:lt>
  <x:lt><t>Another simple list item.</t></x:lt>
</list></t></section>

<section title="style=format...">
<section title="lists with fancy formats: %c">
<t><list style="format %c">
  <t>test</t>
</list></t></section>

<section title="lists with fancy formats: %C">
<t><list style="format %C">
  <t>test</t>
</list></t></section>

<section title="lists with fancy formats: %d">
<t><list style="format %d">
  <t>test</t>
</list></t></section>

<section title="lists with fancy formats: %i">
<t><list style="format %i">
  <t>test</t>
</list></t></section>

<section title="lists with fancy formats: %I">
<t><list style="format %I">
  <t>test</t>
</list></t></section>

<section title="lists with fancy formats: %o">
<t><list style="format %o">
  <t>test</t>
</list></t></section>

<section title="lists with fancy formats: %x">
<t><list style="format %x">
  <t>test</t>
</list></t></section>

<section title="lists with fancy formats: %X">
<t><list style="format %X">
  <t>test</t>
</list></t></section>

<section title="lists with fancy formats: %% %d">
<t><list style="format %% %d">
  <t>test</t>
</list></t></section>

<section title="lists with fancy formats: REQUIREMENT-%i plus hangIndent=20">
<t><list style="format REQUIREMENT-%i" hangIndent="20">
  <t>test</t>
  <t>test</t>
  <t>test</t>
  <t>test</t>
  <t>test</t>
  <t>test</t>
  <t>test</t>
  <t>test</t>
  <t>test</t>
  <t>test</t>
  <t>test</t>
</list></t></section>

<section title="lists with fancy formats: %c.">
<t><list style="format %c.">
  <t>test</t>
</list></t></section>

<section title="lists with fancy formats: %C.">
<t><list style="format %C.">
  <t>test</t>
</list></t></section>

<section title="lists with fancy formats: %d.">
<t><list style="format %d.">
  <t>test</t>
</list></t></section>

<section title="lists with fancy formats: %i.">
<t><list style="format %i.">
  <t>test</t>
</list></t></section>

<section title="lists with fancy formats: %I.">
<t><list style="format %I.">
  <t>test</t>
</list></t></section>
</section>

<section title="style inheritance">
<t>Numbers:<list style="numbers">
  <t>test</t>
  <t>test</t>
  <t>test</t>
  <t>Nested, without style:<list>
    <t>test</t>
    <t>test</t>
    <t>test</t>
  </list>
  </t>
</list></t>
<t>Symbols:<list style="symbols">
  <t>test</t>
  <t>test</t>
  <t>test</t>
  <t>Nested, without style:<list>
    <t>test</t>
    <t>test</t>
    <t>test</t>
  </list>
  </t>
</list></t>
<t>Letters:<list style="letters">
  <t>test</t>
  <t>test</t>
  <t>test</t>
  <t>Nested, without style:<list>
    <t>test</t>
    <t>test</t>
    <t>test</t>
  </list>
  </t>
</list></t>
<t>Empty:<list style="empty">
  <t>test</t>
  <t>test</t>
  <t>test</t>
  <t>Nested, without style:<list>
    <t>test</t>
    <t>test</t>
    <t>test</t>
  </list>
  </t>
</list></t>
</section>

<section title="v3 list extensions">
<section title="dl/spacing">
<t>regular dl</t>
<dl>
  <dt>dt</dt>
  <dd>dd</dd>
  <dt>dt</dt>
  <dd>dd</dd>
</dl>
<t>dl/spacing=normal</t>
<dl spacing="normal">
  <dt>dt</dt>
  <dd>dd</dd>
  <dt>dt</dt>
  <dd>dd</dd>
</dl>
<t>dl/spacing=compact</t>
<dl spacing="compact">
  <dt>dt</dt>
  <dd>dd</dd>
  <dt>dt</dt>
  <dd>dd</dd>
</dl>
</section>

<section title="ul/spacing">
<t>regular ul</t>
<ul>
  <li>X</li>
  <li>Y</li>
</ul>
<t>ul/spacing=normal</t>
<ul spacing="normal">
  <li>X</li>
  <li>Y</li>
</ul>
<t>ul/spacing=compact</t>
<ul spacing="compact">
  <li>X</li>
  <li>Y</li>
</ul>
</section>
</section>

</section>



<section title="spanx">
<t>
This is <spanx>default</spanx>.
</t>
<t>
This is <spanx style="emph">emph(asized)</spanx>.
</t>
<t>
This is <spanx style="strong">strong</spanx>.
</t>
<t>
This is <spanx style="verb">verb(atim)</spanx>.
</t>
<t>
Here is <spanx style="verb">a carriage return
inside</spanx> a spanx element.
</t>
</section>

<section title="Tables">
<texttable>
<preamble>The list of valid keywords are:</preamble>
<ttcol width="20%" align="right">keyword</ttcol>
<ttcol width="20%" align="center">default</ttcol>
<ttcol align="left">meaning</ttcol>
<ttcol>not aligned</ttcol>

<c>strict</c>
<c>no</c>
<c>try to enforce the ID-nits conventions and DTD validity</c>
<c>a</c>

<c>iprnotified</c>
<c>no</c>
<c>include boilerplate from Section 10.4(d) of <xref target="RFC2026"/></c>
<c>bb bb</c>

<c>compact</c>
<c>no</c>
<c>when producing a txt/nroff file, try to conserve vertical whitespace</c>
<c>ccc ccc ccc</c>
    
<c>subcompact</c>
<c>compact</c>
<c>if compact is "yes", then setting this to "no" will make things a little less
compact</c>
<c>dddd dddd dddd dddd</c>
    
<!--
    ...                                                          ...
    
  -->
    
<c>needLines</c>
<c>n/a</c>
<c>an integer hint indicating how many contiguous lines are needed at this point
in the output</c>
<c>eeeee eeeee eeeee eeeee eeeee </c>

<c>here come empty cells</c>
<c></c>
<c/>
<c/>

<postamble>Remember,
that as with everything else in XML,
keywords and values are case-sensitive.</postamble>
</texttable>

<section title="no borders">
<texttable style="none" anchor="tablenoborder" title="a table with no borders">
<preamble>The table below should appear with no borders.</preamble>
<ttcol>C1</ttcol>
<ttcol>C2</ttcol>
<c>11</c>
<c>12</c>
<c>21</c>
<c>22</c>
</texttable>
</section>

<section title="borders around headers">
<texttable style="headers">
<preamble>The table below should appear with borders just around the headers.</preamble>
<ttcol>C1</ttcol>
<ttcol>C2</ttcol>
<c>11</c>
<c>12</c>
<c>21</c>
<c>22</c>
</texttable>
</section>

<section title="example from xml2rc README">
       <texttable anchor='table_example'>
           <preamble>So,
           putting it all together, we have, e.g.,</preamble>
           <ttcol align='center'>ttcol #1</ttcol>
           <ttcol align='center'>ttcol #2</ttcol>
           <c>c #1</c>
           <c>c #2</c>
           <c>c #3</c>
           <c>c #4</c>
           <c>c #5</c>
           <c>c #6</c>
           <postamble>which is a very simple example.</postamble>
       </texttable>
</section>

<section title="no column titles">
<texttable anchor="tablenotitles" title="a table with no column titles">
<preamble>The table below should appear with no titles.</preamble>
<ttcol></ttcol>
<ttcol></ttcol>
<c>11</c>
<c>12</c>
<c>21</c>
<c>22</c>
</texttable>
<texttable anchor="tableonetitle" title="a table with a single column title">
<preamble>The table below should appear with column titles (one being non-empty).</preamble>
<ttcol>FOO</ttcol>
<ttcol></ttcol>
<c>11</c>
<c>12</c>
<c>21</c>
<c>22</c>
</texttable>
</section>

<section title="referencing tables">
  <t>
    <xref target="tablenoborder"/> shows a table with no borders.
  </t>
  <t>
    <xref target="tablenoborder">The table above</xref> shows a table with no borders.
  </t>
</section>

<section title="table captions">
<texttable>
<preamble>No anchor, no title</preamble>
<ttcol>Anchor</ttcol>
<ttcol>Title</ttcol>
<c>-</c>
<c>-</c>
</texttable>

<texttable anchor="texttable1">
<preamble>Anchor (not being referenced), no title</preamble>
<ttcol>Anchor</ttcol>
<ttcol>Title</ttcol>
<c>yes</c>
<c>-</c>
</texttable>

<texttable title="title">
<preamble>No anchor, with title</preamble>
<ttcol>Anchor</ttcol>
<ttcol>Title</ttcol>
<c>-</c>
<c>"title"</c>
</texttable>

<texttable anchor="texttable2" title="title">
<preamble>Both anchor and title</preamble>
<ttcol>Anchor</ttcol>
<ttcol>Title</ttcol>
<c>yes</c>
<c>"title"</c>
</texttable>

<texttable anchor="texttable3" suppress-title="true">
<preamble>anchor, suppress-title, and in use</preamble>
<ttcol>Anchor</ttcol>
<ttcol>Title</ttcol>
<c>yes</c>
<c>-</c>
</texttable>
<t>
  Table above is: <xref target="texttable3"/>.
</t>

</section>


<section title="single column">
<texttable>
<ttcol>title</ttcol>
<c>1</c>
<c>2</c>
</texttable>
</section>

<section title="empty body">
<texttable>
<ttcol>title</ttcol>
</texttable>
</section>

<section title="table alignment">

<section title="left">
<texttable align="left" title="left-aligned table">
<ttcol>left</ttcol>
<c>1</c>
</texttable>
</section>

<section title="center">
<texttable align="center" title="centered table">
<ttcol>center</ttcol>
<c>1</c>
</texttable>
</section>

<section title="right">
<texttable align="right" title="right-aligned table">
<ttcol>right</ttcol>
<c>1</c>
</texttable>
</section>

<section title="default">
<texttable title="default-aligned table">
<ttcol>default</ttcol>
<c>1</c>
</texttable>
</section>
</section>

</section>


<section title="Figures">
<section title="with preamble, no title...">
<figure>
  <preamble>with preamble, no title...</preamble>
  <artwork>
  +--+
  |  |
  +--+
</artwork>
</figure>
</section>

<section title="with postamble and title...">
<figure title="another figure" anchor="testfig">
  <artwork>
  +--+
  |  |
  +--+
</artwork>
<postamble>with postamble and title...</postamble>
</figure>
<t>
  The figure above has the title "<xref target="testfig" format="title" />".
</t>
</section>

<section title="Whitespace handling">
<t>
  Para...
</t>  
<figure>
  <preamble>Leading whitespace</preamble>
  <artwork>
test test (leading ws)</artwork>
</figure>
<t>
  Para...
</t>  
<figure>
  <preamble>Trailing whitespace</preamble>
  <artwork>test test (trailing ws)
   </artwork>
</figure>
<t>
  Para...
</t>  
<figure>
  <preamble>No whitespace</preamble>
  <artwork>test test (no ws)</artwork>
</figure>
<t>
  Para...
</t>  
</section>

<!-- as proposed by Bill F -->
<section title="Whitespace around figures">
<t>spacing paragraph</t>
<figure><artwork>ART</artwork></figure>
<t>spacing paragraph</t>
<figure><preamble>preamble, then</preamble><artwork>ART</artwork></figure>
<t>spacing paragraph</t>
<figure><artwork>ART</artwork><postamble>then postamble</postamble></figure>
<t>spacing paragraph</t>
</section>

<section title="data URIs">
<section title="data URI as source (both @alt and text content)" anchor="artwork.src.data.uri.alt.text">
<figure>
  <artwork src="data:image/gif;base64,R0lGODdhMAAwAPAAAAAAAP///ywAAAAAMAAwAAAC8IyPqcvt3wCcDkiLc7C0qwyGHhSWpjQu5yqmCYsapyuvUUlvONmOZtfzgFzByTB10QgxOR0TqBQejhRNzOfkVJ+5YiUqrXF5Y5lKh/DeuNcP5yLWGsEbtLiOSpa/TPg7JpJHxyendzWTBfX0cxOnKPjgBzi4diinWGdkF8kjdfnycQZXZeYGejmJlZeGl9i2icVqaNVailT6F5iJ90m6mvuTS4OK05M0vDk0Q4XUtwvKOzrcd3iq9uisF81M1OIcR7lEewwcLp7tuNNkM3uNna3F2JQFo97Vriy/Xl4/f1cf5VWzXyym7PHhhx4dbgYKAAA7"
  type="image/gif" alt="Portrait of Larry Masinter (contents of alt attribute)">
    Portrait of Larry Masinter (text content of &lt;artwork&gt; element)
  </artwork>
</figure>
</section>

<section title="data URI as source (only text content, no @alt)" anchor="artwork.src.data.uri.text">
<figure>
  <artwork src="data:image/gif;base64,R0lGODdhMAAwAPAAAAAAAP///ywAAAAAMAAwAAAC8IyPqcvt3wCcDkiLc7C0qwyGHhSWpjQu5yqmCYsapyuvUUlvONmOZtfzgFzByTB10QgxOR0TqBQejhRNzOfkVJ+5YiUqrXF5Y5lKh/DeuNcP5yLWGsEbtLiOSpa/TPg7JpJHxyendzWTBfX0cxOnKPjgBzi4diinWGdkF8kjdfnycQZXZeYGejmJlZeGl9i2icVqaNVailT6F5iJ90m6mvuTS4OK05M0vDk0Q4XUtwvKOzrcd3iq9uisF81M1OIcR7lEewwcLp7tuNNkM3uNna3F2JQFo97Vriy/Xl4/f1cf5VWzXyym7PHhhx4dbgYKAAA7"
  type="image/gif">
    Portrait of Larry Masinter (text content of &lt;artwork&gt; element)
  </artwork>
</figure>
</section>

<section title="data URI as source (only @alt attribute)" anchor="artwork.src.data.uri.alt">
<figure>
  <artwork src="data:image/gif;base64,R0lGODdhMAAwAPAAAAAAAP///ywAAAAAMAAwAAAC8IyPqcvt3wCcDkiLc7C0qwyGHhSWpjQu5yqmCYsapyuvUUlvONmOZtfzgFzByTB10QgxOR0TqBQejhRNzOfkVJ+5YiUqrXF5Y5lKh/DeuNcP5yLWGsEbtLiOSpa/TPg7JpJHxyendzWTBfX0cxOnKPjgBzi4diinWGdkF8kjdfnycQZXZeYGejmJlZeGl9i2icVqaNVailT6F5iJ90m6mvuTS4OK05M0vDk0Q4XUtwvKOzrcd3iq9uisF81M1OIcR7lEewwcLp7tuNNkM3uNna3F2JQFo97Vriy/Xl4/f1cf5VWzXyym7PHhhx4dbgYKAAA7"
  type="image/gif" alt="Portrait of Larry Masinter (contents of alt attribute)"/>
</figure>
</section>
</section>

<section title="alignment">

<section title="left" anchor="artwork.align.left">
<figure>
  <preamble>preamble</preamble>
  <artwork src="data:image/gif;base64,R0lGODdhMAAwAPAAAAAAAP///ywAAAAAMAAwAAAC8IyPqcvt3wCcDkiLc7C0qwyGHhSWpjQu5yqmCYsapyuvUUlvONmOZtfzgFzByTB10QgxOR0TqBQejhRNzOfkVJ+5YiUqrXF5Y5lKh/DeuNcP5yLWGsEbtLiOSpa/TPg7JpJHxyendzWTBfX0cxOnKPjgBzi4diinWGdkF8kjdfnycQZXZeYGejmJlZeGl9i2icVqaNVailT6F5iJ90m6mvuTS4OK05M0vDk0Q4XUtwvKOzrcd3iq9uisF81M1OIcR7lEewwcLp7tuNNkM3uNna3F2JQFo97Vriy/Xl4/f1cf5VWzXyym7PHhhx4dbgYKAAA7"
  type="image/gif" align="left"/>
  <postamble>postamble</postamble>
</figure>
<figure>
  <preamble>preamble</preamble>
  <artwork align="left">FOO</artwork>
  <postamble>postamble</postamble>
</figure>
</section>

<section title="right" anchor="artwork.align.right">
<figure>
  <preamble>preamble</preamble>
  <artwork src="data:image/gif;base64,R0lGODdhMAAwAPAAAAAAAP///ywAAAAAMAAwAAAC8IyPqcvt3wCcDkiLc7C0qwyGHhSWpjQu5yqmCYsapyuvUUlvONmOZtfzgFzByTB10QgxOR0TqBQejhRNzOfkVJ+5YiUqrXF5Y5lKh/DeuNcP5yLWGsEbtLiOSpa/TPg7JpJHxyendzWTBfX0cxOnKPjgBzi4diinWGdkF8kjdfnycQZXZeYGejmJlZeGl9i2icVqaNVailT6F5iJ90m6mvuTS4OK05M0vDk0Q4XUtwvKOzrcd3iq9uisF81M1OIcR7lEewwcLp7tuNNkM3uNna3F2JQFo97Vriy/Xl4/f1cf5VWzXyym7PHhhx4dbgYKAAA7"
  type="image/gif" align="right"/>
  <postamble>postamble</postamble>
</figure>
<figure>
  <preamble>preamble</preamble>
  <artwork align="right">FOO</artwork>
  <postamble>postamble</postamble>
</figure>
</section>

<section title="center" anchor="artwork.align.center">
<figure>
  <preamble>preamble</preamble>
  <artwork src="data:image/gif;base64,R0lGODdhMAAwAPAAAAAAAP///ywAAAAAMAAwAAAC8IyPqcvt3wCcDkiLc7C0qwyGHhSWpjQu5yqmCYsapyuvUUlvONmOZtfzgFzByTB10QgxOR0TqBQejhRNzOfkVJ+5YiUqrXF5Y5lKh/DeuNcP5yLWGsEbtLiOSpa/TPg7JpJHxyendzWTBfX0cxOnKPjgBzi4diinWGdkF8kjdfnycQZXZeYGejmJlZeGl9i2icVqaNVailT6F5iJ90m6mvuTS4OK05M0vDk0Q4XUtwvKOzrcd3iq9uisF81M1OIcR7lEewwcLp7tuNNkM3uNna3F2JQFo97Vriy/Xl4/f1cf5VWzXyym7PHhhx4dbgYKAAA7"
  type="image/gif" align="center"/>
  <postamble>postamble</postamble>
</figure>
<figure>
  <preamble>preamble</preamble>
  <artwork align="center">FOO</artwork>
  <postamble>postamble</postamble>
</figure>
</section>

<section title="default" anchor="artwork.align.default">
<figure>
  <preamble>preamble</preamble>
  <artwork src="data:image/gif;base64,R0lGODdhMAAwAPAAAAAAAP///ywAAAAAMAAwAAAC8IyPqcvt3wCcDkiLc7C0qwyGHhSWpjQu5yqmCYsapyuvUUlvONmOZtfzgFzByTB10QgxOR0TqBQejhRNzOfkVJ+5YiUqrXF5Y5lKh/DeuNcP5yLWGsEbtLiOSpa/TPg7JpJHxyendzWTBfX0cxOnKPjgBzi4diinWGdkF8kjdfnycQZXZeYGejmJlZeGl9i2icVqaNVailT6F5iJ90m6mvuTS4OK05M0vDk0Q4XUtwvKOzrcd3iq9uisF81M1OIcR7lEewwcLp7tuNNkM3uNna3F2JQFo97Vriy/Xl4/f1cf5VWzXyym7PHhhx4dbgYKAAA7"
  type="image/gif"/>
  <postamble>postamble</postamble>
</figure>
<figure>
  <preamble>preamble</preamble>
  <artwork>FOO</artwork>
  <postamble>postamble</postamble>
</figure>
</section>
</section>

<section title="artwork width/height">

<section title="width50%">
<figure>
  <artwork src="data:image/gif;base64,R0lGODdhMAAwAPAAAAAAAP///ywAAAAAMAAwAAAC8IyPqcvt3wCcDkiLc7C0qwyGHhSWpjQu5yqmCYsapyuvUUlvONmOZtfzgFzByTB10QgxOR0TqBQejhRNzOfkVJ+5YiUqrXF5Y5lKh/DeuNcP5yLWGsEbtLiOSpa/TPg7JpJHxyendzWTBfX0cxOnKPjgBzi4diinWGdkF8kjdfnycQZXZeYGejmJlZeGl9i2icVqaNVailT6F5iJ90m6mvuTS4OK05M0vDk0Q4XUtwvKOzrcd3iq9uisF81M1OIcR7lEewwcLp7tuNNkM3uNna3F2JQFo97Vriy/Xl4/f1cf5VWzXyym7PHhhx4dbgYKAAA7"
  type="image/gif" width="50%"/>
</figure>
</section>

<section title="width50">
<figure>
  <artwork src="data:image/gif;base64,R0lGODdhMAAwAPAAAAAAAP///ywAAAAAMAAwAAAC8IyPqcvt3wCcDkiLc7C0qwyGHhSWpjQu5yqmCYsapyuvUUlvONmOZtfzgFzByTB10QgxOR0TqBQejhRNzOfkVJ+5YiUqrXF5Y5lKh/DeuNcP5yLWGsEbtLiOSpa/TPg7JpJHxyendzWTBfX0cxOnKPjgBzi4diinWGdkF8kjdfnycQZXZeYGejmJlZeGl9i2icVqaNVailT6F5iJ90m6mvuTS4OK05M0vDk0Q4XUtwvKOzrcd3iq9uisF81M1OIcR7lEewwcLp7tuNNkM3uNna3F2JQFo97Vriy/Xl4/f1cf5VWzXyym7PHhhx4dbgYKAAA7"
  type="image/gif" width="50"/>
</figure>
</section>

<section title="height50">
<figure>
  <artwork src="data:image/gif;base64,R0lGODdhMAAwAPAAAAAAAP///ywAAAAAMAAwAAAC8IyPqcvt3wCcDkiLc7C0qwyGHhSWpjQu5yqmCYsapyuvUUlvONmOZtfzgFzByTB10QgxOR0TqBQejhRNzOfkVJ+5YiUqrXF5Y5lKh/DeuNcP5yLWGsEbtLiOSpa/TPg7JpJHxyendzWTBfX0cxOnKPjgBzi4diinWGdkF8kjdfnycQZXZeYGejmJlZeGl9i2icVqaNVailT6F5iJ90m6mvuTS4OK05M0vDk0Q4XUtwvKOzrcd3iq9uisF81M1OIcR7lEewwcLp7tuNNkM3uNna3F2JQFo97Vriy/Xl4/f1cf5VWzXyym7PHhhx4dbgYKAAA7"
  type="image/gif" height="50"/>
</figure>
</section>

<section title="height30width60">
<figure>
  <artwork src="data:image/gif;base64,R0lGODdhMAAwAPAAAAAAAP///ywAAAAAMAAwAAAC8IyPqcvt3wCcDkiLc7C0qwyGHhSWpjQu5yqmCYsapyuvUUlvONmOZtfzgFzByTB10QgxOR0TqBQejhRNzOfkVJ+5YiUqrXF5Y5lKh/DeuNcP5yLWGsEbtLiOSpa/TPg7JpJHxyendzWTBfX0cxOnKPjgBzi4diinWGdkF8kjdfnycQZXZeYGejmJlZeGl9i2icVqaNVailT6F5iJ90m6mvuTS4OK05M0vDk0Q4XUtwvKOzrcd3iq9uisF81M1OIcR7lEewwcLp7tuNNkM3uNna3F2JQFo97Vriy/Xl4/f1cf5VWzXyym7PHhhx4dbgYKAAA7"
  type="image/gif" height="30" width="60"/>
</figure>
</section>

</section>

<section title="figure/artwork attribute overlap" anchor="figure.artwork.attribute.overlap">
<section title="src overlap">
<t>
  Both figure and artwork having @src:
</t>
<figure src="data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20version%3D%221.1%22%3E%0A%20%20%3Ccircle%20cx%3D%22100%22%20cy%3D%22100%22%20r%3D%2225%22%20stroke%3D%22black%22%20stroke-width%3D%221%22%20fill%3D%22green%22%2F%3E%0A%3C%2Fsvg%3E%0A">
  <preamble>Preamble...</preamble>
  <artwork src="data:image/gif;base64,R0lGODdhMAAwAPAAAAAAAP///ywAAAAAMAAwAAAC8IyPqcvt3wCcDkiLc7C0qwyGHhSWpjQu5yqmCYsapyuvUUlvONmOZtfzgFzByTB10QgxOR0TqBQejhRNzOfkVJ+5YiUqrXF5Y5lKh/DeuNcP5yLWGsEbtLiOSpa/TPg7JpJHxyendzWTBfX0cxOnKPjgBzi4diinWGdkF8kjdfnycQZXZeYGejmJlZeGl9i2icVqaNVailT6F5iJ90m6mvuTS4OK05M0vDk0Q4XUtwvKOzrcd3iq9uisF81M1OIcR7lEewwcLp7tuNNkM3uNna3F2JQFo97Vriy/Xl4/f1cf5VWzXyym7PHhhx4dbgYKAAA7"
  type="image/gif"/>
</figure>
</section>
<section title="align overlap">
<t>
  figure/align=right, artwork/@align=center:
</t>
<figure align="right" title="title">
  <preamble>Preamble...</preamble>
  <artwork align="center">
TEST
  </artwork>
  <postamble>Postamble...</postamble>
</figure>
</section>
<section title="align inheritance">
<t>
  figure/align=right, artwork/@align not specified:
</t>
<figure align="right" title="title">
  <preamble>Preamble...</preamble>
  <artwork>
TEST
  </artwork>
  <postamble>Postamble...</postamble>
</figure>
</section>
</section>

<section title="titles/numbering" anchor="titles.numbering">

<section title="just anchor" anchor="titles.numbering.just.anchor">
<figure anchor="just.anchor">
  <artwork>FOO</artwork>
</figure>
</section>

<section title="just anchor (with suppress)" anchor="titles.numbering.just.anchor.with.suppress">
<figure anchor="just.anchor.with.suppress" suppress-title="true">
  <artwork>FOO</artwork>
</figure>
<t>
  Above is <xref target="just.anchor.with.suppress"/>.
</t>
</section>

<section title="just title" anchor="titles.numbering.just.title">
<figure title="figure title">
  <artwork>FOO</artwork>
</figure>
</section>

<section title="just title (with suppress)" anchor="titles.numbering.just.title.with.suppress">
<figure title="figure title" suppress-title="true">
  <artwork>FOO</artwork>
</figure>
</section>

</section>

<section title="SVG">
<t>
  Inclusion of SVG:
</t>
<figure><artwork src="testcase.svg" type="image/svg+xml">
  Fallback content for UAs that do not support SVG.
</artwork></figure>
</section>

<section title="Code Components" anchor="code.components">
<t>
  Marking up Code Components according to the
  <eref target="http://trustee.ietf.org/docs/IETF-Trust-License-Policy.pdf">Legal Provisions Relating to IETF Documents</eref>:
</t>
<t>Using @x:is-code-component</t>
<figure><artwork type="code" x:is-code-component="yes" x:lang="">
int main(int argc, char **argv) {
  return -1;
}
</artwork></figure>
<t>Using @markers</t>
<sourcecode markers="true">
int main(int argc, char **argv) {
  return -1;
}
</sourcecode>
<t>Using @markers and @name</t>
<sourcecode markers="true" name="abc.c">
int main(int argc, char **argv) {
  return -1;
}
</sourcecode>
</section>

<section title="Line Folding" anchor="line.folding">
<t>
  Marking up sourcecode using <xref target="RFC8792"/>:
</t>
<t>Single \</t>
<sourcecode x:line-folding="\">
012345678901234567890123456789012345678901234567890123456789\
01234567890123456789
</sourcecode>
<t>or:</t>
<sourcecode x:line-folding="\">
012345678901234567890123456789012345678901234567890123456789\
      01234567890123456789
</sourcecode>
<t>Double \</t>
<sourcecode x:line-folding="\\">
012345678901234567890123456789012345678901234567890123456789\
      \01234567890123456789
</sourcecode>
<t>or (error case)</t>
<sourcecode x:line-folding="\\">
012345678901234567890123456789012345678901234567890123456789\
      01234567890123456789
</sourcecode>
</section>

<section title="inside &lt;t>">
<t>
  <figure>
    <artwork>FOOBAR</artwork>
  </figure>
</t>
</section>

</section>

<section title="xrefs" anchor="xrefs">
<t>
  This section contains test cases for &lt;xref/&gt;, testing 9 different types of targets. Each target is tested for all possible values of the @format attribute, and for &lt;xref/&gt; elements with and without content.
  <spanx>These tests were contributed by Erik Wilde.</spanx>
</t>
<section title="Tests for section-anchor" anchor="section-anchor-tests">
  <t>&lt;xref target="section-anchor"/&gt;: <xref target="section-anchor"/>
  </t>
  <t>&lt;xref target="section-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref target="section-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="counter" target="section-anchor"/&gt;: <xref format="counter" target="section-anchor"/>
  </t>
  <t>&lt;xref format="counter" target="section-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="counter" target="section-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="title" target="section-anchor"/&gt;: <xref format="title" target="section-anchor"/>
  </t>
  <t>&lt;xref format="title" target="section-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="title" target="section-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="none" target="section-anchor"/&gt;: <xref format="none" target="section-anchor"/>
  </t>
  <t>&lt;xref format="none" target="section-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="none" target="section-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="default" target="section-anchor"/&gt;: <xref format="default" target="section-anchor"/>
  </t>
  <t>&lt;xref format="default" target="section-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="default" target="section-anchor">TEXT-CONTENT</xref>
  </t>
</section>
<section title="Tests for t-anchor" anchor="t-anchor-tests">
  <t>&lt;xref target="t-anchor"/&gt;: <xref target="t-anchor"/>
  </t>
  <t>&lt;xref target="t-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref target="t-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="counter" target="t-anchor"/&gt;: <xref format="counter" target="t-anchor"/>
  </t>
  <t>&lt;xref format="counter" target="t-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="counter" target="t-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="title" target="t-anchor"/&gt;: <xref format="title" target="t-anchor"/>
  </t>
  <t>&lt;xref format="title" target="t-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="title" target="t-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="none" target="t-anchor"/&gt;: <xref format="none" target="t-anchor"/>
  </t>
  <t>&lt;xref format="none" target="t-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="none" target="t-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="default" target="t-anchor"/&gt;: <xref format="default" target="t-anchor"/>
  </t>
  <t>&lt;xref format="default" target="t-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="default" target="t-anchor">TEXT-CONTENT</xref>
  </t>
</section>
<section title="Tests for list-t-anchor-empty" anchor="list-t-anchor-empty-tests">
  <t>&lt;xref target="list-t-anchor-empty"/&gt;: <xref target="list-t-anchor-empty"/>
  </t>
  <t>&lt;xref target="list-t-anchor-empty"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref target="list-t-anchor-empty">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="counter" target="list-t-anchor-empty"/&gt;: <xref format="counter" target="list-t-anchor-empty"/>
  </t>
  <t>&lt;xref format="counter" target="list-t-anchor-empty"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="counter" target="list-t-anchor-empty">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="title" target="list-t-anchor-empty"/&gt;: <xref format="title" target="list-t-anchor-empty"/>
  </t>
  <t>&lt;xref format="title" target="list-t-anchor-empty"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="title" target="list-t-anchor-empty">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="none" target="list-t-anchor-empty"/&gt;: <xref format="none" target="list-t-anchor-empty"/>
  </t>
  <t>&lt;xref format="none" target="list-t-anchor-empty"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="none" target="list-t-anchor-empty">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="default" target="list-t-anchor-empty"/&gt;: <xref format="default" target="list-t-anchor-empty"/>
  </t>
  <t>&lt;xref format="default" target="list-t-anchor-empty"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="default" target="list-t-anchor-empty">TEXT-CONTENT</xref>
  </t>
</section>
<section title="Tests for list-t-anchor-numbers" anchor="list-t-anchor-numbers-tests">
  <t>&lt;xref target="list-t-anchor-numbers"/&gt;: <xref target="list-t-anchor-numbers"/>
  </t>
  <t>&lt;xref target="list-t-anchor-numbers"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref target="list-t-anchor-numbers">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="counter" target="list-t-anchor-numbers"/&gt;: <xref format="counter" target="list-t-anchor-numbers"/>
  </t>
  <t>&lt;xref format="counter" target="list-t-anchor-numbers"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="counter" target="list-t-anchor-numbers">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="title" target="list-t-anchor-numbers"/&gt;: <xref format="title" target="list-t-anchor-numbers"/>
  </t>
  <t>&lt;xref format="title" target="list-t-anchor-numbers"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="title" target="list-t-anchor-numbers">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="none" target="list-t-anchor-numbers"/&gt;: <xref format="none" target="list-t-anchor-numbers"/>
  </t>
  <t>&lt;xref format="none" target="list-t-anchor-numbers"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="none" target="list-t-anchor-numbers">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="default" target="list-t-anchor-numbers"/&gt;: <xref format="default" target="list-t-anchor-numbers"/>
  </t>
  <t>&lt;xref format="default" target="list-t-anchor-numbers"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="default" target="list-t-anchor-numbers">TEXT-CONTENT</xref>
  </t>
</section>
<section title="Tests for list-t-anchor-letters" anchor="list-t-anchor-letters-tests">
  <t>&lt;xref target="list-t-anchor-letters"/&gt;: <xref target="list-t-anchor-letters"/>
  </t>
  <t>&lt;xref target="list-t-anchor-letters"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref target="list-t-anchor-letters">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="counter" target="list-t-anchor-letters"/&gt;: <xref format="counter" target="list-t-anchor-letters"/>
  </t>
  <t>&lt;xref format="counter" target="list-t-anchor-letters"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="counter" target="list-t-anchor-letters">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="title" target="list-t-anchor-letters"/&gt;: <xref format="title" target="list-t-anchor-letters"/>
  </t>
  <t>&lt;xref format="title" target="list-t-anchor-letters"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="title" target="list-t-anchor-letters">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="none" target="list-t-anchor-letters"/&gt;: <xref format="none" target="list-t-anchor-letters"/>
  </t>
  <t>&lt;xref format="none" target="list-t-anchor-letters"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="none" target="list-t-anchor-letters">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="default" target="list-t-anchor-letters"/&gt;: <xref format="default" target="list-t-anchor-letters"/>
  </t>
  <t>&lt;xref format="default" target="list-t-anchor-letters"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="default" target="list-t-anchor-letters">TEXT-CONTENT</xref>
  </t>
</section>
<section title="Tests for list-t-anchor-hanging" anchor="list-t-anchor-hanging-tests">
  <t>&lt;xref target="list-t-anchor-hanging"/&gt;: <xref target="list-t-anchor-hanging"/>
  </t>
  <t>&lt;xref target="list-t-anchor-hanging"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref target="list-t-anchor-hanging">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="counter" target="list-t-anchor-hanging"/&gt;: <xref format="counter" target="list-t-anchor-hanging"/>
  </t>
  <t>&lt;xref format="counter" target="list-t-anchor-hanging"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="counter" target="list-t-anchor-hanging">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="title" target="list-t-anchor-hanging"/&gt;: <xref format="title" target="list-t-anchor-hanging"/>
  </t>
  <t>&lt;xref format="title" target="list-t-anchor-hanging"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="title" target="list-t-anchor-hanging">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="none" target="list-t-anchor-hanging"/&gt;: <xref format="none" target="list-t-anchor-hanging"/>
  </t>
  <t>&lt;xref format="none" target="list-t-anchor-hanging"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="none" target="list-t-anchor-hanging">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="default" target="list-t-anchor-hanging"/&gt;: <xref format="default" target="list-t-anchor-hanging"/>
  </t>
  <t>&lt;xref format="default" target="list-t-anchor-hanging"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="default" target="list-t-anchor-hanging">TEXT-CONTENT</xref>
  </t>
</section>
<section title="Tests for texttable-anchor" anchor="texttable-anchor-tests">
  <t>&lt;xref target="texttable-anchor"/&gt;: <xref target="texttable-anchor"/>
  </t>
  <t>&lt;xref target="texttable-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref target="texttable-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="counter" target="texttable-anchor"/&gt;: <xref format="counter" target="texttable-anchor"/>
  </t>
  <t>&lt;xref format="counter" target="texttable-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="counter" target="texttable-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="title" target="texttable-anchor"/&gt;: <xref format="title" target="texttable-anchor"/>
  </t>
  <t>&lt;xref format="title" target="texttable-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="title" target="texttable-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="none" target="texttable-anchor"/&gt;: <xref format="none" target="texttable-anchor"/>
  </t>
  <t>&lt;xref format="none" target="texttable-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="none" target="texttable-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="default" target="texttable-anchor"/&gt;: <xref format="default" target="texttable-anchor"/>
  </t>
  <t>&lt;xref format="default" target="texttable-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="default" target="texttable-anchor">TEXT-CONTENT</xref>
  </t>
</section>
<section title="Tests for figure-anchor" anchor="figure-anchor-tests">
  <t>&lt;xref target="figure-anchor"/&gt;: <xref target="figure-anchor"/>
  </t>
  <t>&lt;xref target="figure-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref target="figure-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="counter" target="figure-anchor"/&gt;: <xref format="counter" target="figure-anchor"/>
  </t>
  <t>&lt;xref format="counter" target="figure-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="counter" target="figure-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="title" target="figure-anchor"/&gt;: <xref format="title" target="figure-anchor"/>
  </t>
  <t>&lt;xref format="title" target="figure-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="title" target="figure-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="none" target="figure-anchor"/&gt;: <xref format="none" target="figure-anchor"/>
  </t>
  <t>&lt;xref format="none" target="figure-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="none" target="figure-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="default" target="figure-anchor"/&gt;: <xref format="default" target="figure-anchor"/>
  </t>
  <t>&lt;xref format="default" target="figure-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="default" target="figure-anchor">TEXT-CONTENT</xref>
  </t>
</section>
<section title="Tests for reference-anchor" anchor="reference-anchor-tests">
  <t>&lt;xref target="reference-anchor"/&gt;: <xref target="reference-anchor"/>
  </t>
  <t>&lt;xref target="reference-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref target="reference-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="counter" target="reference-anchor"/&gt;: <xref format="counter" target="reference-anchor"/>
  </t>
  <t>&lt;xref format="counter" target="reference-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="counter" target="reference-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="title" target="reference-anchor"/&gt;: <xref format="title" target="reference-anchor"/>
  </t>
  <t>&lt;xref format="title" target="reference-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="title" target="reference-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="none" target="reference-anchor"/&gt;: <xref format="none" target="reference-anchor"/>
  </t>
  <t>&lt;xref format="none" target="reference-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="none" target="reference-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="default" target="reference-anchor"/&gt;: <xref format="default" target="reference-anchor"/>
  </t>
  <t>&lt;xref format="default" target="reference-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="default" target="reference-anchor">TEXT-CONTENT</xref>
  </t>
</section>
<section title="Tests for cref-anchor" anchor="cref-anchor-tests">
  <t>&lt;xref target="cref-anchor"/&gt;: <xref target="cref-anchor"/>
  </t>
  <t>&lt;xref target="cref-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref target="cref-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="counter" target="cref-anchor"/&gt;: <xref format="counter" target="cref-anchor"/>
  </t>
  <t>&lt;xref format="counter" target="cref-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="counter" target="cref-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="title" target="cref-anchor"/&gt;: <xref format="title" target="cref-anchor"/>
  </t>
  <t>&lt;xref format="title" target="cref-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="title" target="cref-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="none" target="cref-anchor"/&gt;: <xref format="none" target="cref-anchor"/>
  </t>
  <t>&lt;xref format="none" target="cref-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="none" target="cref-anchor">TEXT-CONTENT</xref>
  </t>
  <t>&lt;xref format="default" target="cref-anchor"/&gt;: <xref format="default" target="cref-anchor"/>
  </t>
  <t>&lt;xref format="default" target="cref-anchor"&gt;TEXT-CONTENT&lt;/xref&gt;: <xref format="default" target="cref-anchor">TEXT-CONTENT</xref>
  </t>
</section>
<section title="Test Targets" anchor="section-anchor">
   <t>This section contains a couple of markup constructs carrying anchors (this is paragraph 1).</t>
   <t anchor="t-anchor">Some regular paragraph text... (this is paragraph 2)</t>
   <t>
      <list>
         <t anchor="list-t-anchor-empty">Some paragraph in a list... (this is list item 1 in a default style list)</t>
      </list>
   </t>
   <t>
      <list style="numbers">
         <t anchor="list-t-anchor-numbers">Some paragraph in a list... (this is list item 1 in a "numbers" style list)</t>
      </list>
   </t>
   <t>
      <list style="letters">
         <t anchor="list-t-anchor-letters">Some paragraph in a list... (this is list item 1 in a "letters" style list)</t>
      </list>
   </t>
   <t>
      <list style="hanging">
         <t anchor="list-t-anchor-hanging" hangText="foobar">Some paragraph in a list... (this is list item 1 in a "hanging" style list)</t>
      </list>
   </t>
   <texttable anchor="texttable-anchor" title="TEXTTABLE-TITLE">
      <ttcol>Some texttable text...</ttcol><c>Table cell</c>
   </texttable>
   <figure anchor="figure-anchor" title="FIGURE-TITLE">
      <artwork>Some figure text...</artwork>
   </figure>
   <t>
      <cref anchor="cref-anchor">A comment.</cref>
   </t>
</section>
</section>


<section title="More References" anchor="refs">

<section title="xref to named &lt;spanx> element">
<t>
  <spanx anchor="spanx.anchor">With content</spanx>: see <xref target="spanx.anchor" format="none">this sentence</xref>.
</t>
</section>

<section title="xref with no content and counter formatting">
<t>
See [<xref target="RFC2026" format="counter"/>, <xref target="RFC2396" format="counter"/>].
</t>
</section>

<section title="eref with no content">
<t>
See also <eref target="http://greenbytes.de/tech/webdav" />. Here's another
one that is quite long: <eref target="http://greenbytes.de/tech/webdav/draft-reschke-rfc3744bis-issues.html#5.7_inherited-acl-set-protected"/>. Does it break properly?
</t>
</section>

<section title="eref with content">
<t>
See also <eref target="http://greenbytes.de/tech/webdav">greenbytes WebDAV resources</eref>.
</t>
</section>

<section title="iref inside paragraph">
<t>
This paragraph contains an <iref item="inline iref"/>inline iref. 
</t>
</section>

<section title="iref before paragraph">
<iref item="section iref"/>
<t>
This paragraph follows an iref. 
</t>
</section>

<section title="iref at start of paragraph with list">
<t>
<iref item="paragraph with list start iref"/>
<list>
  <t>foo</t>
</list>
</t>
</section>

<section title="xref with pageno attribute" anchor="xref.pageno">
<t>
A reference to <xref target="xref.pageno" pageno="true"/>.
</t>
</section>

<section anchor="xref.in.title">
  <name>xref in section title: <xref target="RFC2396" format="none">RFC 2396</xref></name>
<t>
  Bar.
</t>
</section>

<section title="xref with x:fmt='none'">
  <t><xref target="RFC2396" x:fmt="none">plain text</xref>.</t>
</section>

<section title="xref with markup in context">
  <t><xref target="RFC2396">the <em>old</em> URI spec</xref>.</t>
</section>

<section title="iref elements with non-normalized whitespace">
<t>
  <iref item="iref whitespace tests"/>
  With normalized whitespace.
</t>
<t>
  <iref item=" iref whitespace tests"/>
  With leading whitespace.
</t>
<t>
  <iref item="iref whitespace tests "/>
  With trailing whitespace.
</t>
<t>
  <iref item="iref  whitespace  tests"/>
  With extra inline whitespace.
</t>
</section>

<section title="xref with section and relative">
  <t><xref target="RFC2396" section="1.2" relative="#foobar"/>.</t>
</section>

<section title="xref without section but with relative">
  <t><xref target="RFC2396" relative="#foobar"/>.</t>
</section>

</section>

<section title="Paragraph formatting" anchor="formatting">
<t>
  This is the first sentence of the paragraph.  This is the second sentence of
  the paragraph (with two leading blanks).
  Here's another sentence that was started on a separate line in the input
  file.
</t>
<t>
  This is the second paragraph.
</t>
<t><?foo?>
  This paragraph has ignorable whitespace (but also contains processing instructions).
<?bar?></t>
<t>
  This paragraph has ignorable whitespace (but also contains processing instructions<?qux1?>).
</t>
<t>
  This paragraph has ignorable whitespace (but also contains processing <?qux2?> instructions).
</t>
<t><!--foo-->
  This paragraph has ignorable whitespace (but also contains comments).
<!--bar--></t>
<t>
  This paragraph has ignorable whitespace (but also contains comments<!--qux1-->).
</t>
<t>
  This paragraph has ignorable whitespace (but also contains <!--qux2--> comments).
</t>
<t><x:anchor-alias value="foo"/>
  This paragraph has ignorable whitespace (but also contains non-text-generating XML nodes).
<iref item="foo"/></t>
<t>
  This paragraph has ignorable whitespace (but also contains non-text-generating XML nodes<iref item="foo"/>).
</t>
</section>

<section title="Sections">

<section title="Subsection with TOC entry">
</section>

<section title="Subsection without TOC entry" toc="exclude">

<section title="Sub-subsection with TOC entry">
</section>

</section>

<section title="x.x">
<section title="x.x.x">
<section title="x.x.x.x">
<section title="x.x.x.x.x">
<section title="x.x.x.x.x.x">
<section title="x.x.x.x.x.x.x">
<section title="x.x.x.x.x.x.x.x">
</section>
</section>
</section>
</section>
</section>
</section>
</section>

</section>

<section title="Comments" anchor="comments">
<t>
  This line contains a few comments.
  <cref anchor="comment-test" source="JRE">No anchor, source given.</cref>
  This line contains a few comments.
  <cref anchor="comment1">Anchor given, no source.</cref>
  This line contains a few comments.
  <cref anchor="comment2" source="JRE">Both specified.</cref>
  This line contains a few comments.
  <cref>No anchor, no source.</cref>
  This line contains a few comments.
  <cref>No anchor, no source, but embedded markup: <eref target="http://xml.resource.org"/>.</cref>
  This line contains a few comments.
</t>
<t>
  <cref>A comment containing &lt;x:ref>: <x:ref>comments</x:ref>.</cref>
</t>
</section>

<section title="Artwork Width">
<figure>
<preamble>
This should fit (69 characters plus three spaces of indentation in text output).
</preamble>
<artwork>
012345678901234567890123456789012345678901234567890123456789012345678
</artwork>
</figure>
<figure>
<preamble>
This shouldn't.
</preamble>
<artwork>
0123456789012345678901234567890123456789012345678901234567890123456789
</artwork>
</figure>
<figure><artwork x:indent-with="**********">
(IN TEXT OUTPUT INDENTED BY 10)
012345678901234567890123456789012345678901234567890123456789012
</artwork></figure>
</section>

<section title="Extensions" anchor="extensions">
<t>
  These are tests for extensions done in <spanx style="verb">rfc2629.xslt</spanx>.
  Do not expect them to work out-of-the-box in <spanx style="verb">xml2rfc</spanx>.
</t>

<section title="Markup in figure/artwork">
<figure>
<artwork>
Internal References: a test reference to <xref target="RFC2396"/>

External References: a test reference to <eref target="http://xml.resource.org"/>

<iref item="&lt;iref> in &lt;artwork>"/>a test index entry inside a figure

Styling: <spanx>&lt;spanx></spanx> inside artwork
</artwork>
</figure>
</section>

<section title="Measuring Lengths">
<figure>
<artwork type="message/http; msgtype=&#34;request&#34;">
PUT / HTTP/1.1
Host: example.org
Content-Type: application/xml
Content-Length: <x:length-of target="req1"/>

<x:span anchor="req1">&lt;foo/></x:span></artwork></figure>

<figure>
<preamble>...without indentation:</preamble>
<artwork type="message/http; msgtype=&#34;request&#34;">
PUT / HTTP/1.1
Host: example.org
Content-Type: text/plain
Content-Length: <x:length-of target="req2"/>

<x:span anchor="req2">Line 1
Line 2
</x:span></artwork></figure>

<figure>
<preamble>...with indentation:</preamble>
<artwork type="message/http; msgtype=&#34;request&#34;">
  PUT / HTTP/1.1
  Host: example.org
  Content-Type: text/plain
  Content-Length: <x:length-of target="req3" indented="2"/>

<x:span anchor="req3">  Line 1
  Line 2
</x:span></artwork></figure>
</section>

<section title="Quotations">
  <t>
    Here's a quote:
    <x:q>This is a Quote.</x:q>
  </t>
  <t>
    Here's a block level quote:
  </t>
  <x:blockquote>
    <t>
      Here's a quote.
    </t>
    <t>
      More text.
    </t>
  </x:blockquote>
</section>

<section title="Subsections">
  <t>
    <x:h>Foo</x:h>
  </t>
  <t>
    The line above should be marked up similar to a subsection heading.
  </t>
</section>

<section title="Box Drawing">
<figure>
  <preamble>
    The figure below should use box drawing characters instead of
    "+", "-" and "|".
  </preamble>
  <artwork>
  <x:bt>+----------------+</x:bt>
  <x:bc>| This is a Box. |</x:bc>
  <x:bb>+----------------+</x:bb>
  </artwork>
</figure>

</section>

<section title="Computed Reference Targets" anchor="computed.reference.targets">
<t>
  Referring to this section by anchor name indirectly through the references:
  <xref target="TSTCS" x:fmt="of" x:rel="#computed.reference.targets"/>.
</t>
<t>
  (default formatting):
  <xref target="TSTCS" x:rel="#computed.reference.targets"/>.
</t>
<figure><artwork>
  Default inside a figure: <xref target="TSTCS" x:rel="#computed.reference.targets"/>
</artwork></figure>
<t>
  With a broken anchor:
  <xref target="TSTCS" x:rel="#a-target-that-isnt-defined"/>.
</t>
<t>
  To unnumbered section: 
  <xref target="TSTCS" x:rel="#contributors"/>.
</t>
<t anchor="testpara">
  To paragraph:
  <xref target="TSTCS" x:rel="#testpara"/>.
</t>
</section>

<section title="ABNF Support" anchor="abnf.support">
<section title="Expanding strings">
<figure><artwork type="abnf">
case-insensitive1 = "abcdefghijlkmnopqrstuvwxyz"
case-insensitive2 = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
case-sensitive1 = <x:abnf-char-sequence>"abcdefghijlkmnopqrstuvwxyz"</x:abnf-char-sequence>
case-sensitive2 = <x:abnf-char-sequence>"ABCDEFGHIJKLMNOPQRSTUVWXYZ"</x:abnf-char-sequence>
</artwork></figure>
</section>

<section title="Highlighting">
<figure>
<preamble>Extensions from RFC 9110:</preamble>
<artwork type="abnf9110">
x = 1#2y
</artwork></figure>
<figure>
<preamble>Extensions from RFC 7405:</preamble>
<artwork type="abnf">
x = %s"case-sensitive"
y = %i"case-insensitive"
</artwork></figure>
<figure>
<preamble>Literals:</preamble>
<artwork type="abnf">
binary = %b00-11 %b00.01.10.11
dec    = %d13.10
hex    = %x0F.0A
DIGIT  = %x30-39
DIGIT2 = %x30.31.32.33.34.35.36.37.38.39
; comment
string = "abcde &lt;y&gt;"
string = "foo;bar"
</artwork></figure>
<figure>
<preamble>Broken literals:</preamble>
<artwork type="abnf">
binary = %b00-12
DIGIT  = %x30-39-4A
string = "abcde"fgh"
</artwork></figure>
<figure>
<preamble>Prose:</preamble>
<artwork type="abnf">
foo = &lt;simple prose string&gt;
bar = &lt;with "double quotes"&gt;
qux = &lt;with '&lt;' inside&gt;
</artwork></figure>
<t>Using &lt;sourcecode&gt;:</t>
<sourcecode type="abnf">
left = right ; comment
</sourcecode>
<figure>
<preamble>Broken prose and string literals:</preamble>
<artwork type="abnf">
foo = &lt;no ABNF available,
  but that does not justify a line break&gt;
extra = &lt;good&gt;bad ; comment
bar = "illegal characters in string literal: &#9;"
qux = "runaway string
qux2 = "in string literal"
</artwork></figure>
</section>
</section>

<section title="Referencing extensions" anchor="referencing.extensions">
  <x:anchor-alias value="Referencing extensions"/>
<t>
  Simple &lt;x:ref&gt;: <x:ref>referencing.extensions</x:ref>.
</t>
<t>
  Aliased &lt;x:ref&gt;: <x:ref>Referencing extensions</x:ref>.
</t>
</section>


</section>

<section title="Blank Lines">
<t>
Just a forced <vspace/>
line break.
</t>
<t>
One <vspace blankLines="1"/>
blank line.
</t>
<t>
Seven <vspace blankLines="7"/>
blank lines.
</t>
<t>
999 <vspace blankLines="999"/>
blank lines (this is likely an attempt to force a pagebreak, thus the
generated HTML should <spanx>not</spanx> contain the blank lines, but only
one).
</t>
</section>

<section title="Other">

<section title="Comments in Text">
<t>
  First sentence (before XML comment, invisible here).
<!-- a comment -->
  Second sentence.
</t>
</section>

<section title="Special Characters">
<section title="Non-Breaking Space" anchor="nbsp">
<t>
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
  Non&nbsp;breaking&nbsp;space.
</t>
</section>
<section title="Non-Breaking Hyphen" anchor="nbhy">
<t>
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  Non&nbhy;breaking&nbhy;hyphen.
  (wrt Apache FOP, see <eref target="http://mail-archives.apache.org/mod_mbox/xmlgraphics-fop-users/200905.mbox/%3C4A035745.10601@freemail.gr%3E"/>)
</t>
</section>
<section title="Dashes" anchor="dashes">
<t>
  mdash &mdash; with regular spaces. mdash &mdash; with regular spaces. mdash &mdash; with regular spaces. mdash &mdash; with regular spaces.
  mdash &mdash; with regular spaces. mdash &mdash; with regular spaces. mdash &mdash; with regular spaces. mdash &mdash; with regular spaces.
  mdash &mdash; with regular spaces. mdash &mdash; with regular spaces. mdash &mdash; with regular spaces. mdash &mdash; with regular spaces.
  mdash &mdash; with regular spaces. mdash &mdash; with regular spaces. mdash &mdash; with regular spaces. mdash &mdash; with regular spaces.
  mdash &mdash; with regular spaces. mdash &mdash; with regular spaces. mdash &mdash; with regular spaces. mdash &mdash; with regular spaces.
</t>
<t>
  mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces.
  mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces.
  mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces.
  mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces.
  mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces. mdash&mdash;with no spaces.
</t>
<t>
  mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces.
  mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces.
  mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces.
  mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces.
  mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces. mdash&thinsp;&mdash;&thinsp;with thin spaces.
</t>
</section>
<x:u-map>
<x:c c="A" n="65" d="LATIN CAPITAL LETTER A"/>
<x:c c="B" n="66" d="LATIN CAPITAL LETTER B"/>
<x:c c="C" n="67" d="LATIN CAPITAL LETTER C"/>
</x:u-map>
<section title="Non-ASCII">
<t>
  Expansions of "ABC":
</t>
<dl>
  <dt>num-lit-name</dt>
  <dd><u format="num-lit-name">ABC</u></dd>
  <dt>name-num-lit</dt>
  <dd><u format="num-lit-name">ABC</u></dd>
  <dt>name-num-lit</dt>
  <dd><u format="num-lit-name">ABC</u></dd>
  <dt>test {name} foo {lit} bar</dt>
  <dd><u format="test {name} foo {lit} bar">ABC</u></dd>
</dl>
</section>
</section>

</section>
<section title="Includes">
<t>
  <xref target="RFC7749"/>.
</t>
<t>
  <xref target="RFC7749">with text content</xref>.
</t>
</section>

    </middle>

	<back>
  <references>
  <reference anchor='RFC2026'>

<front>
<title abbrev='Internet Standards Process'>The Internet Standards Process -- Revision 3</title>
<author initials='S.' surname='Bradner' fullname='Scott O. Bradner'>
<organization>Harvard University</organization>
<address>
<postal>
<street>1350 Mass. Ave.</street>
<city>Cambridge</city>
<region>MA</region>
<code>02138</code>
<country>US</country></postal>
<phone>+1 617 495 3864</phone>
<email>sob@harvard.edu</email></address></author>
<date month='October' year='1996' />
<abstract>
<t>This memo documents the process used by the Internet community for the standardization of protocols and procedures.  It defines the stages in the standardization process, the requirements for moving a document between stages and the types of documents used during this process.  It also addresses the intellectual property rights and copyright issues associated with the standards process.</t></abstract></front>

<seriesInfo name='BCP' value='9' />
<seriesInfo name='RFC' value='2026' />
<seriesInfo name='DOI' value='10.17487/RFC2026' />
</reference>

<reference anchor='RFC10000'>
  <front>
    <title>FUTURERFC</title>
    <author initials='J.' surname='Doe' fullname='John Doe'/>
    <date month='October' year='2018' />
  </front>
  <seriesInfo name='RFC' value='10000' />
</reference>

<reference anchor="RFC2396">

<front>
<title abbrev="URI Generic Syntax">Uniform Resource Identifiers (URI): Generic Syntax</title>
<author initials="T." surname="Berners-Lee" fullname="Tim Berners-Lee">
<organization>World Wide Web Consortium</organization>
<address>
<postal>
<street>MIT Laboratory for Computer Science, NE43-356</street>
<street>545 Technology Square</street>
<city>Cambridge</city>
<region>MA</region>
<code>02139</code></postal>
<facsimile>+1(617)258-8682</facsimile>
<email>timbl@w3.org</email></address></author>
<author initials="R.T." surname="Fielding" fullname="Roy T. Fielding">
<organization>Department of Information and Computer Science</organization>
<address>
<postal>
<street>University of California, Irvine</street>
<city>Irvine</city>
<region>CA</region>
<code>92697-3425</code></postal>
<facsimile>+1(949)824-1715</facsimile>
<email>fielding@ics.uci.edu</email></address></author>
<author initials="L." surname="Masinter" fullname="Larry Masinter">
<organization>Xerox PARC</organization>
<address>
<postal>
<street>3333 Coyote Hill Road</street>
<city>Palo Alto</city>
<region>CA</region>
<code>94034</code></postal>
<facsimile>+1(415)812-4333</facsimile>
<email>masinter@parc.xerox.com</email></address></author>
<date month="August" year="1998"/>
<area>Applications</area>
<keyword>uniform resource</keyword>
<keyword>URI</keyword>
</front>
<seriesInfo name="RFC" value="2396"/>
<annotation>
  This RFC will soon be updated, check
  <eref target="http://cvs.apache.org/viewcvs.cgi/*checkout*/ietf-uri/rev-2002/rfc2396bis.html" /> for the latest draft.
  <cref>Really?</cref>
</annotation>
<annotation>
  The issues list is at <eref target="http://cvs.apache.org/viewcvs.cgi/*checkout*/ietf-uri/rev-2002/issues.html" />.
</annotation>

</reference>

<reference anchor="TSTCS">
  <?rfc multiple-initials="no"?>
  <front>
  	<title>Test cases for RFC2629 formatting</title>

  	<author initials="J. F." surname="Reschke" fullname="Julian F. Reschke">
  		<organization abbrev="greenbytes">greenbytes GmbH</organization>
        <address>
        	<postal>
          	<street>Hafenweg 16</street>
            <city>Muenster</city><region>NW</region><code>48155</code>
           	<country>Germany</country>
         	</postal>
    		  <phone>+49 251 2807760</phone>	
      	<facsimile>+49 251 2807761</facsimile>	
  		  <email>julian.reschke@greenbytes.de</email>	
  		  <uri>http://greenbytes.de/tech/webdav/</uri>	
  		</address>
  	</author>
    <date month="March" year="2008"/>
	</front>
  <x:source href="testcase.xml"/>
</reference>

<reference anchor="reference-anchor">
  <x:source href="testcase.xml"/>
</reference>

  <!--RFC include with URI -->
  <?rfc include="https://xml2rfc.tools.ietf.org/public/rfc/bibxml/reference.RFC.7749.xml"?>

  <!--RFC include with base name -->
  <?rfc include="reference.RFC.7991.xml"?>

  <!--ID include with URI -->
  <?rfc include="https://xml2rfc.tools.ietf.org/public/rfc/bibxml-ids/reference.I-D.iab-xml2rfcv2.xml"?>

  <!--ID include base name -->
  <?rfc include="reference.I-D.iab-xml2rfc.xml"?>

  <!-- include with query parameter -->
  <?rfc include="https://xml2rfc.tools.ietf.org/public/rfc/bibxml7/reference.DOI.10.6028/nist.sp.800-185.xml?anchor=NIST.SP.800_185"?>
  
  <!--RFC include with base name -->
  <?rfc include="https://xml2rfc.tools.ietf.org/public/rfc/bibxml/reference.RFC.8792.xml"?>

  <!-- x:include -->
  <include xmlns="http://www.w3.org/2001/XInclude" href="https://xml2rfc.tools.ietf.org/public/rfc/bibxml-ids/reference.I-D.reschke-hab.xml"/>

<reference anchor="Err607" target="http://www.rfc-editor.org"> 
<front> 
<title x:quotes="false">Errata ID 607</title>
<author><organization>RFC Errata</organization></author> 
<date></date>
</front> 
<seriesInfo name="RFC" value="4627"/>
<annotation>Test for Errata formatting.</annotation>
</reference>

  </references>
  
  <section title="Contributors" numbered="false" anchor="contributors">
    <t><iref item="Test in unnumbered section"/>Test.</t>
    <t>
      xref To unnumbered section within unnumbered section:
      <xref target="TSTCS" x:rel="#contributors"/>.
    </t>
    <x:contributor fullname="A. Nonymous" surname="Nonymous" initials="A.">
      <organization>Example</organization>
      <address>
        <email>a.nonymous@example.org</email>
      </address>
    </x:contributor>
    <t>
      Using &lt;contact> instead of &lt;x:contributor>:
    </t>
    <contact fullname="A. Nonymous" surname="Nonymous" initials="A.">
      <organization>Example</organization>
      <address>
        <email>a.nonymous@example.org</email>
      </address>
    </contact>
  </section>
  
  </back>
</rfc>